org.eclipse.ecf.core.security

## Class NameCallback

- java.lang.Object
- - org.eclipse.ecf.core.security.NameCallback

All Implemented Interfaces:
  Serializable, Callback

    public class NameCallback
    extends Object
    implements Callback, Serializable

Callback that handles String types

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NameCallback(String prompt)` Construct a `NameCallback` with a prompt.
`NameCallback(String prompt, String defaultName)` Construct a `NameCallback` with a prompt and default name.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDefaultName()` Get the default name.
`String` `getName()` Get the retrieved name.
`String` `getPrompt()` Get the prompt.
`void` `setName(String name)` Set the retrieved name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NameCallback

    public NameCallback(String prompt)

Construct a `NameCallback` with a prompt.

Parameters:
  `prompt` - the prompt used to request the name.
Throws:
  `IllegalArgumentException` - if `prompt` is null.

#### NameCallback

    public NameCallback(String prompt,
                        String defaultName)

Construct a `NameCallback` with a prompt and default name.

Parameters:
  `prompt` - the prompt used to request the information.

  `defaultName` - the name to be used as the default name displayed with the prompt.
Throws:
  `IllegalArgumentException` - if `prompt` is null.

### Method Detail

#### getPrompt

    public String getPrompt()

Get the prompt.

Returns:
  the prompt.

#### getDefaultName

    public String getDefaultName()

Get the default name.

Returns:
  the default name, or null if this `NameCallback` was not instantiated with a `defaultName`.

#### setName

    public void setName(String name)

Set the retrieved name.

Parameters:
  `name` - the retrieved name (which may be null).
See Also:
  `getName()`

#### getName

    public String getName()

Get the retrieved name.

Returns:
  the retrieved name (which may be null)
See Also:
  `setName(java.lang.String)`